---
title: get tax codes
slug: api-documentation/get-tax-codes
docTags: 
createdAt: 2026-08-27T17:08:54.010Z
---

{
  "id": "TUEbV3JCoWZyS2Yith0Ec",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/tax/taxcodes",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/tax/taxcodes",
        "description": "Dev Server"
      }
    ],
    "name": "get tax codes",
    "description": "<p>This endpoint displays all the tax codes associated with a certain tenant.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li>Authorizers.taxRead</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "Pagination parameters selecting which page of tax codes to return.",
          "schema": [
            {
              "name": "pageSize",
              "kind": "required",
              "type": "number",
              "description": "This specifies the number of tax code records which should be displayed. "
            },
            {
              "name": "page",
              "kind": "required",
              "type": "number",
              "description": "This specifies the page number against which the records should be displayed. "
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-found the tax code(s).</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "items",
                "kind": "required",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "number",
                    "description": "The unique ID number of this tax code."
                  },
                  {
                    "name": "companyId",
                    "kind": "optional",
                    "type": "number",
                    "description": "The unique ID number of the company that owns this tax code."
                  },
                  {
                    "name": "taxCode",
                    "kind": "optional",
                    "type": "string",
                    "description": "A code string that identifies this tax code.",
                    "minLength": 1
                  },
                  {
                    "name": "taxCodeTypeId",
                    "kind": "optional",
                    "type": "string",
                    "description": "The type of this tax code.",
                    "minLength": 1
                  },
                  {
                    "name": "description",
                    "kind": "optional",
                    "type": "string",
                    "description": "A friendly description of this tax code.",
                    "minLength": 1
                  },
                  {
                    "name": "parentTaxCode",
                    "kind": "optional",
                    "type": "string",
                    "description": "<p>If this tax code is a subset of a different tax code, this identifies the parent code.</p>",
                    "minLength": 1
                  },
                  {
                    "name": "isPhysical",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "True if this tax code type refers to a physical object."
                  },
                  {
                    "name": "goodsServiceCode",
                    "kind": "optional",
                    "type": "number",
                    "description": "The Avalara Goods and Service Code represented by this tax code."
                  },
                  {
                    "name": "entityUseCode",
                    "kind": "optional",
                    "type": "string",
                    "description": "The Avalara Entity Use Code represented by this tax code."
                  },
                  {
                    "name": "isActive",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "True if this tax code is active and can be used in transactions."
                  },
                  {
                    "name": "isSSTCertified",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "<p>True if this tax code has been certified by the Streamlined Sales Tax governing board. By default, you should leave this value empty.</p>"
                  }
                ]
              },
              {
                "name": "page",
                "kind": "required",
                "type": "number",
                "description": "This specifies the page number against which the records are displayed. "
              },
              {
                "name": "pageSize",
                "kind": "required",
                "type": "number",
                "description": "This specifies the number of tax code records that are displayed. "
              },
              {
                "name": "count",
                "kind": "required",
                "type": "number",
                "description": "The total number of tax codes available. "
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized-the provided credentials were invalid for this endpoint.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned by the bad-request and unauthorized responses, identifying the failure by name, code and detail.</p>",
            "customType": "GeneralError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Error name.",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "Error code.",
                "minLength": 1
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": "Reason why this error occurred.",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": "Error details.",
                "minLength": 1
              }
            ],
            "modelRef": "#/components/schemas/GeneralError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found-the requested resource was not found in the NoChannel system.</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "XuXysMf6-WzkL9Le5ioWh",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/tax/taxcodes \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"pageSize\": \"\",\n     \"page\": \"\"\n     }'"
        },
        {
          "id": "_4C_BlOiCpF7oypF-0xl5",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"pageSize\": \"\",\n   \"page\": \"\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/tax/taxcodes\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "DfNqGdFznQ0TF0cI9lvzM",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/tax/taxcodes\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"pageSize\": \"\",\n   \"page\": \"\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "c0iOPFz7Rbnbyb0prGhtz",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/tax/taxcodes\"\n\npayload = json.dumps({\n   \"pageSize\": \"\",\n   \"page\": \"\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "XuXysMf6-WzkL9Le5ioWh"
    },
    "results": {
      "languages": [
        {
          "id": "3OSj4lDIkUiYitjFQQEvj",
          "language": "200",
          "code": "// Success-found the tax code(s).\n{\n  \"items\": [\n    {\n      \"id\": 0,\n      \"companyId\": 0,\n      \"taxCode\": \"\",\n      \"taxCodeTypeId\": \"\",\n      \"description\": \"\",\n      \"parentTaxCode\": \"\",\n      \"isPhysical\": false,\n      \"goodsServiceCode\": 0,\n      \"entityUseCode\": \"\",\n      \"isActive\": false,\n      \"isSSTCertified\": false\n    }\n  ],\n  \"page\": 0,\n  \"pageSize\": 0,\n  \"count\": 0\n}"
        },
        {
          "id": "V-YlACSBbbaH1znKWlk7w",
          "language": "401",
          "code": "// Unauthorized-the provided credentials were invalid for this endpoint.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"reason\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "KRiLUFPLE6on0mxNydlYN",
          "language": "404",
          "code": "// Not Found-the requested resource was not found in the NoChannel system.\n"
        }
      ],
      "selectedLanguageId": "3OSj4lDIkUiYitjFQQEvj"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}